Page MenuHomePhabricator

Incorporate onboarding message and illustration for new users on SE home
Closed, ResolvedPublic1 Estimate Story Points

Description

(focus on the upper half)

  • We continue to guide users with a personal and simple, yet precise welcome message if users haven’t edited with Suggested edits.
  • This also includes emphasizing the “info i” at the top right of the screen in color_group_2
  • Show this portion until the user has made their first edit through SE. (If they have 1+ edit in SE, this will go away.)

Copy:
Hi %username, did you know that everyone can edit Wikipedia? Below you’ll find opportunities to contribute and to improve Wikipedia. Happy editing!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2019, 1:08 PM
schoenbaechler renamed this task from Incorporate onboarding message and illustration on SE home to Incorporate onboarding message and illustration for new users on SE home.Aug 28 2019, 1:09 PM
Charlotte triaged this task as Medium priority.Aug 29 2019, 5:21 PM
Charlotte updated the task description. (Show Details)
Charlotte set the point value for this task to 1.

@schoenbaechler the circle with accent background is rendering differently,

Dbrant added a subscriber: Dbrant.Nov 4 2019, 7:17 PM

@Sharvaniharan What is currently blocking this task?

@Dbrant moved it.. it is not blocked..

Hey @Sharvaniharan, added a comment in regards to the illustrations here to another task: T231445#5644098

schoenbaechler added a comment.EditedNov 14 2019, 11:42 AM

@Dbrant @Sharvaniharan

Looks good, two aspects to improve:

01) Increase size of onboarding illustration to a height of 132dp (scaled proportionally):

DesignvsImplementation
Zeplin

02) Onboarding text color should be changed to color_group_40 as we want to put an emphasize on this area when first visiting Suggested edits. Text after onboarding: (%username, thanks for your edits (...) is not affected by this change, as it’s secondary information.

Then ready for QA signoff! 🎉

Dbrant closed this task as Resolved.Dec 9 2019, 5:22 PM